server:
  port: 8869

spring:
  application:
    name: user-auth

eureka:
  client:
    service-url:
      defaultZone: http://${eureka-addr:localhost}:${eureka-port:6751}/eureka/

logging:
  config: classpath:logback-spring.xml
  level:
    root: ${log-level:info}
  file:
    path: /logs/user-auth

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always

feign:
  okhttp:
    enabled: true

ribbon:
  ConnectTimeout: 3000 #服务请求连接超时时间（毫秒）
  ReadTimeout: 3000 #服务请求处理超时时间（毫秒）

swagger.title: 基于Spring Security Oauth2的统一的认证中心
swagger.des: 基于Spring Security Oauth2的统一的认证中心—相关接口文档
swagger.version: 0.0.1-SNAPSHOT
swagger.show: true